---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Appstore Publishing
description: |
  How to get your app ready for going live in the Pebble appstore.
guide_group: appstore-publishing
menu: false
permalink: /guides/appstore-publishing/
generate_toc: false
hide_comments: true
---

When a developer is happy that their app is feature-complete and stable, they
can upload the compiled `.pbw` file to the 
[Developer Portal](https://dev-portal.getpebble.com) to make it available on the
Pebble appstore for all users with compatible watches to share and enjoy.

In order to be successfully listed in the Pebble appstore the developer must:

* Provide all required assets and marketing material.

* Provide at least one `.pbw` release.

* Use a unique and valid UUID.

* Build their app with a non-beta SDK.

* Ensure their app complies with the various legal agreements.

Information on how to meet these requirements is given in this group of guides,
as well as details about available analytical data for published apps and
example asset material templates.


## Contents

{% include guides/contents-group.md group=page.group_data %}
