---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Graphics and Animations
description: |
  Information on using animations and drawing shapes, text, and images, as well
  as more advanced techniques.
guide_group: graphics-and-animations
menu: false
permalink: /guides/graphics-and-animations/
generate_toc: false
hide_comments: true
---

The Pebble SDK allows drawing of many types of graphics in apps. Using the
``Graphics Context``, ``GBitmap``, ``GDrawCommand`` and
[`Framebuffer`](``graphics_capture_frame_buffer``) APIs gives developers
complete control over the contents of the display, and also can be used to
complement UI created with the various types of ``Layer`` available to enable
more complex UI layouts.

Both image-based and property-based animations are available, as well as
scheduling regular updates to UI components with ``Timer`` objects. Creative use
of ``Animation`` and ``PropertyAnimation`` can help to delight and engage users,
as well as highlight important information inside apps.


## Contents

{% include guides/contents-group.md group=page.group_data %}