---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Rocky.js JavaScript API
description: |
  Information on using JavaScript to create watchfaces with Rocky.js
guide_group: rocky-js
menu: false
permalink: /guides/rocky-js/
generate_toc: false
hide_comments: true
---

This section of the developer guides contains information and resources
surrounding creating Pebble watchfaces using the Rocky.js JavaScript API.

Rocky.js is ECMAScript 5.1 JavaScript running natively on Pebble smartwatches,
thanks to
[our collaboration](https://github.com/Samsung/jerryscript/wiki/JerryScriptWorkshopApril2016)
with [JerryScript](https://github.com/pebble/jerryscript).

![Rocky >{pebble-screenshot,pebble-screenshot--time-red}](/images/blog/2016-08-16-jotw.png)

At present, Rocky.js can only be used to create watchfaces, but we're adding
more APIs and functionality with every release.


## Contents

{% include guides/contents-group.md group=page.group_data %}
