---
# Copyright 2025 Google LLC
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

title: Hardware Information
description: |
  Details of the the capabilities of the various Pebble hardware platforms.
guide_group: tools-and-resources
order: 4
---

The Pebble watch family comprises of multiple generations of hardware, each with
unique sets of features and capabilities. Developers wishing to reach the
maximum number of users will want to account for these differences when
developing their apps.

The table below details the differences between hardware platforms:

{% include hardware-platforms.html %}

See
{% guide_link best-practices/building-for-every-pebble#available-defines-and-macros "Available Defines and Macros" %}
for a complete list of compile-time defines available.

**NOTE:** We'll be updating the "Building for Every Pebble Guide" and "Available
Defines and Macros" list when we release the first preview version of SDK 4.0.
